Freeciv-3.1: cm_parameter Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
cm_parameter Struct Reference

`#include <cm.h>`

## Data Fields

int | minimal_surplus [O_LAST]
bool | max_growth
bool | require_happy
bool | allow_disorder
bool | allow_specialists
int | factor [O_LAST]
int | happy_factor

## Detailed Description

Definition at line 40 of file cm.h.

## Field Documentation

## ◆ allow_disorder

bool cm_parameter::allow_disorder

Definition at line 44 of file cm.h.

Referenced by cm_are_parameter_equal(), cm_init_emergency_parameter(), cm_init_parameter(), city_dialog::cma_changed(), dio_get_cm_parameter_raw(), dio_put_cm_parameter_raw(), and sg_load_player_city().

## ◆ allow_specialists

bool cm_parameter::allow_specialists

Definition at line 45 of file cm.h.

Referenced by cm_are_parameter_equal(), cm_init_emergency_parameter(), cm_init_parameter(), city_dialog::cma_changed(), dio_get_cm_parameter_raw(), dio_put_cm_parameter_raw(), and sg_load_player_city().

## ◆ factor

int cm_parameter::factor[O_LAST]

Definition at line 47 of file cm.h.

Referenced by choice_is_promising(), cm_are_parameter_equal(), cm_init_emergency_parameter(), cm_init_parameter(), city_dialog::cma_changed(), cma_get_parameter(), cma_set_parameter(), dio_get_cm_parameter_raw(), dio_put_cm_parameter_raw(), estimate_fitness(), hscale_changed(), popup_city_cma_dialog(), set_hscales(), sg_load_player_city(), and city_dialog::update_sliders().

## ◆ happy_factor

int cm_parameter::happy_factor

Definition at line 48 of file cm.h.

Referenced by cm_are_parameter_equal(), cm_init_emergency_parameter(), cm_init_parameter(), city_dialog::cma_changed(), cma_get_parameter(), cma_set_parameter(), dio_get_cm_parameter_raw(), dio_put_cm_parameter_raw(), hscale_changed(), popup_city_cma_dialog(), set_hscales(), sg_load_player_city(), and city_dialog::update_sliders().

## ◆ max_growth

bool cm_parameter::max_growth

Definition at line 42 of file cm.h.

Referenced by begin_search(), cm_are_parameter_equal(), cm_init_emergency_parameter(), cm_init_parameter(), city_dialog::cma_changed(), cma_get_parameter(), cma_set_parameter(), dio_get_cm_parameter_raw(), dio_put_cm_parameter_raw(), hscale_changed(), set_hscales(), sg_load_player_city(), and city_dialog::update_sliders().

## ◆ minimal_surplus

int cm_parameter::minimal_surplus[O_LAST]

Definition at line 41 of file cm.h.

Referenced by begin_search(), cm_are_parameter_equal(), cm_init_emergency_parameter(), cm_init_parameter(), city_dialog::cma_changed(), cma_get_parameter(), cma_set_parameter(), create_default_cma_presets(), dio_get_cm_parameter_raw(), dio_put_cm_parameter_raw(), hscale_changed(), init_min_production(), popup_city_cma_dialog(), set_hscales(), sg_load_player_city(), and city_dialog::update_sliders().

## ◆ require_happy

bool cm_parameter::require_happy

Definition at line 43 of file cm.h.

Referenced by cm_are_parameter_equal(), cm_init_emergency_parameter(), cm_init_parameter(), city_dialog::cma_changed(), cma_get_parameter(), cma_set_parameter(), dio_get_cm_parameter_raw(), dio_put_cm_parameter_raw(), hscale_changed(), popup_city_cma_dialog(), set_hscales(), sg_load_player_city(), toggle_cma_celebrating_callback(), and city_dialog::update_sliders().